import 'package:intl/intl.dart';

import '../../domain/auth/auth.dart';

part 'date_extension.dart';

extension StringExt on String {
  CheckPhoneStatus toCheckPhoneStatus() {
    switch (this) {
      case 'NO_REGISTERED':
        return CheckPhoneStatus.notRegistered;
      case 'PASSWORD_REQUIRED':
        return CheckPhoneStatus.passwordRequired;
      default:
        return CheckPhoneStatus.unknown;
    }
  }
}
